Bug 103875 - tmp files for printing put in cwd, fails if no write permissions there
Summary: tmp files for printing put in cwd, fails if no write permissions there
Status: RESOLVED FIXED
Alias: None
Product: kuickshow
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Carsten Pfeiffer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-14 13:59 UTC by Vassilii Khachaturov
Modified: 2006-04-27 11:19 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vassilii Khachaturov 2005-04-14 13:59:30 UTC
Version:           ��� (using KDE 3.3.2,  (3.1))
Compiler:          gcc version 3.3.5 (Debian 1:3.3.5-8)
OS:                Linux (i686) release 2.6.8-2-686

(Originally submitted as Debian Bug #303097, 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=303097 ).

When the current working directory in which kuickshow was started
has no write permissions, the printing (in my case configured via CUPS)
does not work. In the controlling terminal, the following diagnostics
is printed:
KTempFile: Error trying to create kuickshowXXXXXX.png: Permission denied

To work this around, kuickshow should be started in a directory one
has write permissions for.
Comment 1 Carsten Pfeiffer 2006-03-31 01:58:57 UTC
SVN commit 524707 by pfeiffer:

- fixed one of the most long-standing bugs: non-local browsing
  (i.e. you can browse remote directories like local ones now, flipping
   through the images with PageUp/Down etc., including pre-loading images)
BUG: 74088
BUG: 93543
BUG: 120724
   Browsing through /media should work now, but can be improved by not "downloading"
   from there. Framework to do this is there, though.
CCBUG: 120724
- also allow saving to remote URLs
- fixed image not being completely maximized when opening image in fullscreen mode
BUG: 80805
- performance improvement
- layed groundwork for fixing #48812 and #101986
CCBUG: 48812
CCBUG: 101986
- make sure all temporary files get deleted
BUG: 74323

#103875 is already fixed in KDE 3.5.2, forgot to close the report
BUG: 103875


 _M            . (directory)  
 M  +2 -1      Makefile.am  
 A             filecache.cpp   [License: no copyright]
 A             filecache.h   [License: UNKNOWN]
 M  +94 -29    imagewindow.cpp  
 M  +7 -2      imagewindow.h  
 M  +73 -216   imlibwidget.cpp  
 M  +18 -70    imlibwidget.h  
 M  +3 -0      kuickdata.h  
 A             kuickfile.cpp   [License: no copyright]
 A             kuickfile.h   [License: UNKNOWN]
 A             kuickimage.cpp   [License: no copyright]
 A             kuickimage.h   [License: UNKNOWN]
 D             kuickio.cpp  
 D             kuickio.h  
 M  +63 -49    kuickshow.cpp  
 M  +3 -1      kuickshow.h  
 M  +1 -1      main.cpp  
 M  +4 -3      printing.cpp  
 M  +1 -1      printing.h  
 M  +1 -1      version.h